End a commitment
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/end-commitment-config
Body Parameters
- bodypayment.pricing.EndCommitmentConfigInput.in
- customerIdstring
- commitmentIdstring
- configpayment.pricing.commitments.CommitmentEndingConfig.in
- commitmentRestartConfigpayment.pricing.commitments.CommitmentRestartConfig.in
- latestDecisionTimeSecondsinteger<int64>
- optOutboolean
- extendPrepaidCardEndTimeInSecondsinteger<int64>
Responses
200
- payment.pricing.commitments.CommitmentEndingConfig.out
- commitmentRestartConfigpayment.pricing.commitments.CommitmentRestartConfig.out
- latestDecisionTimeSecondsinteger<int64>
- optOutboolean
- extendPrepaidCardEndTimeInSecondsinteger<int64>
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/end-commitment-config \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/end-commitment-config", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/end-commitment-config")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/customer-commitment/end-commitment-config"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"commitmentRestartConfig": {
"latestDecisionTimeSeconds": "",
"optOut": false
},
"extendPrepaidCardEndTimeInSeconds": ""
}